Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 333957 - x11-libs/gtkscintilla2 does not respect LDFLAGS
Summary: x11-libs/gtkscintilla2 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard: Removed: 2010-12-17
Keywords: PMASKED
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-22 12:35 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-12-16 23:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (gtkscintilla2-0.1.0:20100822-123040.log,18.50 KB, text/plain)
2010-08-22 12:36 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-22 12:35:59 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-22 12:36:42 UTC
Created attachment 244027 [details]
Build log
Comment 2 Pacho Ramos gentoo-dev 2010-09-12 12:52:51 UTC
Looks like nothing in the tree requires this, I have also been unable to see any major distribution still shipping this (mandriva, debian, opensuse, fedora...), and I am unable to find any upstream update since a lot of time :-/

Maybe we should just remove this, what do you think?
Comment 3 Mart Raudsepp gentoo-dev 2010-09-12 14:44:29 UTC
Agreed.
Comment 4 Gilles Dartiguelongue gentoo-dev 2010-09-12 21:19:02 UTC
We should check if it's not bundled in any packages in tree, maybe anjuta uses this ?
Comment 5 Pacho Ramos gentoo-dev 2010-09-13 10:04:06 UTC
(In reply to comment #4)
> We should check if it's not bundled in any packages in tree, maybe anjuta uses
> this ?
> 

How could we test that? For now, I have run the following on anjuta sources:

$ grep -r gtkscintilla *
$

Thanks
Comment 6 Mart Raudsepp gentoo-dev 2010-09-13 10:24:16 UTC
anjuta-2.26 did have a bundled copy of scintilla core and the PlatGTK.cxx and  ScintillaGTK.cxx wrapping classes that are found in gtkscintilla2 as well - for the purposes of the scintilla edit plugin (as opposed to the gtksourceview based sourceview edit plugin).

However since anjuta-2.28, the scintilla edit plugin is not shipped with anjuta anymore. It was moved to anjuta-extras package instead, of which it's still a part of, and carries all the same (similar, possibly improved) code in a subdir as gtkscintilla2.
However - the build system there is fully autotools based, and shouldn't have this problem, whereas gtkscintilla2 has a custom Makefile with visibly no LDFLAGS handling. So even if we were to package anjuta-extras in the future, I'm quite sure this problem doesn't exist there - and either way we'd get a separate QA warning in the unlikely chance of not honoring LDFLAGS in that autotools based build system.

So, punt and don't worry about bundled packages, we don't carry any almost surely in-tree.
Comment 7 Jeroen Roovers gentoo-dev 2010-09-14 20:20:12 UTC
It does look like gphpedit[1] is still being actively developed and it does seem to ship a newer version of gtkscintilla that could probably be sourced by x11-libs/gtkscintilla2. Its gtkscintilla/scintilla/version.txt has a higher number (211) than the latest x11-libs/gtkscintilla2 (158).

[1] <http://www.gphpedit.org/>, has a release announcement from Sat, 05/22/2010 - 01:38 for a 0.9.98 release candidate.
Comment 8 Pacho Ramos gentoo-dev 2010-11-18 21:39:01 UTC
I am unsure about handling its splitting downstream because:
1. Looks a bit "hard" to me.
2. If gphpedit is the only one still using it, I think this looks a bit like when eel was merged into nautilus and splitted one was dropped.

But maybe I am missing some reason for showing splitting it from gphpedit would be the best option :-/
Comment 9 Gilles Dartiguelongue gentoo-dev 2010-12-16 23:53:08 UTC
Removed.